<?php

class CriteriosLocaisPrivilegios extends GxActiveRecord {

    public static function model($className = __CLASS__) {
        return parent::model($className);
    }

    public function tableName() {
        return 'criterios_locais_privilegios';
    }

    public static function label($n = 1) {
        return Yii::t('app', 'Critério X Local X Privilégio|Critérios X Locais X Privilégios', $n);
    }

    public static function representingColumn() {
        return 'CLF_ID';
    }

    public function rules() {
        return array(
            array('CLF_IDCRITERIO, CLF_IDLOCAL, CLF_IDPRIVILEGIO', 'required'),
            array('CLF_ID', 'safe'),
        );
    }

    public function relations() {
        return array(
            'Criterio'      => array(self::BELONGS_TO, 'Criterio', 'CLF_IDCRITERIO', 'joinType' => 'LEFT JOIN'),
            'Local'         => array(self::BELONGS_TO, 'Locais', 'CLF_IDLOCAL', 'joinType' => 'LEFT JOIN'),
            'Privilegio'    => array(self::BELONGS_TO, 'Privilegios', 'CLF_IDPRIVILEGIO', 'joinType' => 'LEFT JOIN'),
        );
    }

    public function pivotModels() {
        return array();
    }

    public function attributeLabels() {
        return array(
            'CLF_ID'            => 'Código',
            'CLF_IDCRITERIO'    => 'Critério',
            'CLF_IDLOCAL'       => 'Local',
            'CLF_IDPRIVILEGIO'  => 'Pivilégio',
        );
    }
}